Update Organization Update Hook Settings
https://app.fossa.com/api/organizations/{id}/settings/projects/update-hooksUpdate project update hook settings for an organization
Path parameters
idintegerrequiredRequest body · application/json
updateHookDefaultScheduledEnabledbooleanthe on/off status of if the update hook is enabled
updateHookDefaultScheduledIntervalenumthe cadence of the updates
hourdayweekupdateHookDefaultScheduledIntervalLengthintegerthe cadence of the scheduled updates
updateHookDefaultScheduledIntervalTimestringdate/time for the schedule update hook intervals
Responses
204No content401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
422Unprocessable EntityuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/organizations/1/settings/projects/update-hookscurl --request PUT \ --url 'https://app.fossa.com/api/organizations/1/settings/projects/update-hooks' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "updateHookDefaultScheduledEnabled": true, "updateHookDefaultScheduledInterval": "hour", "updateHookDefaultScheduledIntervalLength": 1, "updateHookDefaultScheduledIntervalTime": "string"}'Real request. Mutating methods can change data.
Path params
idintegerrequired